org.eclipse.viatra.addon.viewers.runtime.notation.util

## Class NotationSwitch<T>

- java.lang.Object
- - org.eclipse.emf.ecore.util.Switch<T>
  - - org.eclipse.viatra.addon.viewers.runtime.notation.util.NotationSwitch<T>

-     public class NotationSwitch<T>
      extends org.eclipse.emf.ecore.util.Switch<T>

  The Switch for the model's inheritance hierarchy. It supports the call `doSwitch(object)` to invoke the `caseXXX` method for each class of the model, starting with the actual class of the object and proceeding up the inheritance hierarchy until a non-null result is returned, which is the result of the switch.
  See Also:
    `NotationPackage`
  Generated:

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected static NotationPackage` | `modelPackage` The cached model package

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `NotationSwitch()` Creates an instance of the switch.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `T` | `caseAttribute(Attribute object)` Returns the result of interpreting the object as an instance of 'Attribute'.
    `T` | `caseContainment(Containment object)` Returns the result of interpreting the object as an instance of 'Containment'.
    `T` | `caseEdge(Edge object)` Returns the result of interpreting the object as an instance of 'Edge'.
    `T` | `caseFormatSpecification(FormatSpecification object)` Returns the result of interpreting the object as an instance of 'Format Specification'.
    `T` | `caseFormattableElement(FormattableElement object)` Returns the result of interpreting the object as an instance of 'Formattable Element'.
    `T` | `caseItem(Item object)` Returns the result of interpreting the object as an instance of 'Item'.
    `T` | `caseNotationModel(NotationModel object)` Returns the result of interpreting the object as an instance of 'Model'.
    `T` | `caseStringToStringMap(java.util.Map.Entry<java.lang.String,java.lang.Object> object)` Returns the result of interpreting the object as an instance of 'String To String Map'.
    `T` | `defaultCase(org.eclipse.emf.ecore.EObject object)` Returns the result of interpreting the object as an instance of 'EObject'.
    `protected T` | `doSwitch(int classifierID, org.eclipse.emf.ecore.EObject theEObject)` Calls `caseXXX` for each class of the model until one returns a non null result; it yields that result.
    `protected boolean` | `isSwitchFor(org.eclipse.emf.ecore.EPackage ePackage)` Checks whether this is a switch for the given package.

    - ### Methods inherited from class org.eclipse.emf.ecore.util.Switch

      `doSwitch, doSwitch`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### modelPackage

          protected static NotationPackage modelPackage

      The cached model package
      Generated:

  - ### Constructor Detail

    - #### NotationSwitch

          public NotationSwitch()

      Creates an instance of the switch.
      Generated:

  - ### Method Detail

    - #### isSwitchFor

          protected boolean isSwitchFor(org.eclipse.emf.ecore.EPackage ePackage)

      Checks whether this is a switch for the given package.
      Specified by:
        `isSwitchFor` in class `org.eclipse.emf.ecore.util.Switch<T>`
      Parameters:
        `ePackage` - the package in question.
      Returns:
        whether this is a switch for the given package.
      Generated:

    - #### doSwitch

          protected T doSwitch(int classifierID,
                               org.eclipse.emf.ecore.EObject theEObject)

      Calls `caseXXX` for each class of the model until one returns a non null result; it yields that result.
      Overrides:
        `doSwitch` in class `org.eclipse.emf.ecore.util.Switch<T>`
      Returns:
        the first non-null result returned by a `caseXXX` call.
      Generated:

    - #### caseFormattableElement

          public T caseFormattableElement(FormattableElement object)

      Returns the result of interpreting the object as an instance of 'Formattable Element'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Formattable Element'.
      See Also:
        `doSwitch(EObject)`
      Generated:

    - #### caseFormatSpecification

          public T caseFormatSpecification(FormatSpecification object)

      Returns the result of interpreting the object as an instance of 'Format Specification'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Format Specification'.
      See Also:
        `doSwitch(EObject)`
      Generated:

    - #### caseItem

          public T caseItem(Item object)

      Returns the result of interpreting the object as an instance of 'Item'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Item'.
      See Also:
        `doSwitch(EObject)`
      Generated:

    - #### caseEdge

          public T caseEdge(Edge object)

      Returns the result of interpreting the object as an instance of 'Edge'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Edge'.
      See Also:
        `doSwitch(EObject)`
      Generated:

    - #### caseContainment

          public T caseContainment(Containment object)

      Returns the result of interpreting the object as an instance of 'Containment'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Containment'.
      See Also:
        `doSwitch(EObject)`
      Generated:

    - #### caseNotationModel

          public T caseNotationModel(NotationModel object)

      Returns the result of interpreting the object as an instance of 'Model'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Model'.
      See Also:
        `doSwitch(EObject)`
      Generated:

    - #### caseAttribute

          public T caseAttribute(Attribute object)

      Returns the result of interpreting the object as an instance of 'Attribute'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Attribute'.
      See Also:
        `doSwitch(EObject)`
      Generated:

    - #### caseStringToStringMap

          public T caseStringToStringMap(java.util.Map.Entry<java.lang.String,java.lang.Object> object)

      Returns the result of interpreting the object as an instance of 'String To String Map'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'String To String Map'.
      See Also:
        `doSwitch(EObject)`
      Generated:

    - #### defaultCase

          public T defaultCase(org.eclipse.emf.ecore.EObject object)

      Returns the result of interpreting the object as an instance of 'EObject'. This implementation returns null; returning a non-null result will terminate the switch, but this is the last case anyway.
      Overrides:
        `defaultCase` in class `org.eclipse.emf.ecore.util.Switch<T>`
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'EObject'.
      See Also:
        `Switch.doSwitch(org.eclipse.emf.ecore.EObject)`
      Generated: